Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC__StreamMetadata_StreamInfo Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Public Attributes

unsigned | min_blocksize
unsigned | max_blocksize
unsigned | min_framesize
unsigned | max_framesize
unsigned | sample_rate
unsigned | channels
unsigned | bits_per_sample
FLAC__uint64 | total_samples
FLAC__byte | md5sum [16]

## Detailed Description

FLAC STREAMINFO structure. (c.f. format specification)

The documentation for this struct was generated from the following file:

- include/FLAC/format.h